<div class="slides-panel-content">
  <div
    *ngFor="let slide of slideEntities"
    [ngClass]="slide.dataView.deleted === true ? '' : 'standard-hover'">
    <app-slide-item
      [slide]="slide"
      [slideImage]="getSlideImage(slide.id)"
      [selectedSlide]="selectedSlideId"
      (selectSlide)="slideSelected.emit($event)">
    </app-slide-item>
  </div>
  <ng-container *ngIf="selectionMissing">
    <app-missing-selection-error
      [missingSelectionType]="selectionMissing">
    </app-missing-selection-error>
  </ng-container>
  <ng-container *ngIf="!slideEntities.length && !selectionMissing">
    <div class="menu-no-content">
      <div>Case has no Slides</div>
    </div>
  </ng-container>
</div>
